Subject: Re: [PATCH 0/3] Simple reftable backend

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Sep 2023 15:43:04 -0700

"Han-Wen Nienhuys via GitGitGadget" <[email-masked]> writes:

> I think the first part ("refs: push lock management into packed backend") is
> a good improvement overall, and could be landed separately without much
> tweaking.

It looked quite nice to remove more knowledge specific to the
.git/packed-refs backend from the files backend, and instead have
the files backend rely more on the backend-provided methods to make
it work together with whatever backend happens to be in use.  There
were a few minor things I found puzzling, but other than that, the
two patches looked mostly sensible.